This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 40585 - when ppp-watch receives a sigint during sleep it calls ifup-ppp right before it exits
when ppp-watch receives a sigint during sleep it calls ifup-ppp right before ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-14 16:56 EDT by Alex Kanavin
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 16:58:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to make ppp-watch not call ifup-ppp if it has received a sigint (402 bytes, patch)
2001-05-14 16:57 EDT, Alex Kanavin
no flags Details | Diff

  None (edit)
Description Alex Kanavin 2001-05-14 16:56:41 EDT
Before ppp-watch calls ifup-ppp, it checks what signals have arrived during
sleep. The sigint is not in this list, though ppp-watch can receive it from
parent ppp-watch attached to the terminal, if we press ctrl-c for example.
Therefore ifup-ppp is called when it shouldn't (right before exit).

A very simple patch fixes this.
Comment 1 Alex Kanavin 2001-05-14 16:57:56 EDT
Created attachment 18330 [details]
patch to make ppp-watch not call ifup-ppp if it has received a sigint
Comment 2 Bill Nottingham 2001-05-17 15:53:38 EDT
Thanks, will be in 5.88-1.

Note You need to log in before you can comment on or make changes to this bug.